#include <stdio.h>



// Structure pour stocker les informations sur un choix d'un candidat
typedef struct{
    float Français;
    float Maths;
    float Anglais;
}note;

typedef struct liste{
  char ville[50];
  char departement[50];
  int decision;
  int validation;
  struct liste *suivant;
} Choix, *ListeC;

typedef struct liste{
  int numero;
  char nom[50];
  char prenom[50];
  note note;
  int nb_choix;
  ListeC lchoix;
  struct liste *suivant;
} Candidat;


typedef struct liste{
    char departement[30];
    int nbP;
    char resp[30];
    char AouD;
    struct liste *suivant;
}MaillonDept, *ListeD;

typedef struct{
    char ville[30];
    ListeD ldept;
}VilleIUT;


typedef enum {faux,vrai}Booleen;

//Menu utilisateur :
    void MenuUtilisateur(VilleIUT *tiut[],int n);
	int rechercheIUT(VilleIUT *tiut[],int n);
	int rechercheDept(VilleIUT *tiut[], int n);
	int recherchePlaces(VilleIUT *tiut[], int n);
//Menu administrateur :
    
    void MenuAdministrateur(VilleIUT *tiut[],int n);
    
    ListeD suppression(ListeD ld,char *departement);
    ListeD suppressionTete(ListeD ld);
    ListeD Enfiler(ListeD D, char *departement, int nbP,char *resp);
    ListeD ModifinbP(ListeD ld, char departement[30], int MnbP, int n);
    ListeD ModifiRespon(ListeD ld, char departement[30], char respon[30], int n);
    ListeD ModifiAouD(ListeD ld, char departement[30], char AouD,int n);
    

    //recherche
    //MaillonDept recherche (MaillonDept *Ville,char *departement,char *responsable);

//Liste:
    VilleIUT Initialisation(void);
   
    Booleen testVide(VilleIUT V);
    void afficher (VilleIUT V);
    VilleIUT defiler(VilleIUT V);
    VilleIUT lireVille(FILE *fe, int *nbDep);
    MaillonDept lireDep(FILE *fe);
    int chargement(VilleIUT *tiut[],int tmax);
    void affichage (VilleIUT *tiut[],int n);
    void affichageListe(ListeD ld);

ListeD Insertion(ListeD ld, char *departement, int nbP,char *resp, char AouD);
ListeD InsertionTete(ListeD ld, char *departement, int nbP,char *resp, char AouD);
